package me.mrletsplay.videobase.library;

import java.nio.file.Path;

public class Video {

	private Path path;
	private String id;
	private VideoMetadata metadata;

	public Video(Path path, String id, VideoMetadata metadata) {
		this.path = path;
		this.id = id;
		this.metadata = metadata;
	}

	public Path getPath() {
		return path;
	}

	public String getId() {
		return id;
	}

	public void setMetadata(VideoMetadata metadata) {
		this.metadata = metadata;
	}

	public VideoMetadata getMetadata() {
		return metadata;
	}

	@Override
	public String toString() {
		return "{Video: " + id + ", " + path + ", " + metadata + "}";
	}

}
